Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ActiveTaskRecord

All Superinterfaces:
  java.io.Serializable

    public interface ActiveTaskRecord

extends java.io.Serializable

Class`ActiveTaskRecord` contains information of an active task in report server.

Method Summary
`java.lang.String` | `getCatalog()` Return the report catalog of the active task.
`java.lang.String` | `getEngineStatus()` Return the report engine status message of the active task.
`int` | `getLaunchType()` Return the launch type of the active task.
`java.lang.String` | `getLogicOfConditions()` Return the logic between the trigger and the time condition of this task
`java.lang.String` | `getParamFile()` Returns the report parameter file of the task and display it.
`java.lang.String` | `getPublishType()` Return the report publish type of the active task and display as "Task Type".
`java.lang.String` | `getReport()` Return the report name of the active task.
`java.lang.String` | `getReportNames()` Return a String contains all report names
`java.util.Date` | `getStartedTime()` Return the start time of the active task.
`java.lang.String` | `getSubmitter()` Return the submitter of the active task.
`java.lang.String` | `getTaskClass()` Return the task type of the active task.
`java.lang.String` | `getTaskID()` Return the task ID of the active task.
`java.lang.String` | `getTaskName()` Return the task name of the active task.
`java.lang.String` | `getTrigger()` Return the bound trigger name of the active task

Method Detail

### getStartedTime

    java.util.Date getStartedTime()

  Return the start time of the active task.

  Returns:
    the start time of the active task.

### getEngineStatus

    java.lang.String getEngineStatus()

  Return the report engine status message of the active task.

  Returns:
    the report engine status message of the active task .

### getSubmitter

    java.lang.String getSubmitter()

  Return the submitter of the active task.

  Returns:
    the submitter of the active task.

### getTaskID

    java.lang.String getTaskID()

  Return the task ID of the active task.

  Returns:
    the task ID of the active task.

### getTaskName

    java.lang.String getTaskName()

  Return the task name of the active task.

  Returns:
    the task name of the active task.

### getTaskClass

    java.lang.String getTaskClass()

  Return the task type of the active task.

  Returns:
    the task type of the active task.

### getLaunchType

    int getLaunchType()

  Return the launch type of the active task.

  Returns:
    the launch type of the active task.

### getCatalog

    java.lang.String getCatalog()

  Return the report catalog of the active task.

  Returns:
    the report catalog of the active task.

### getReport

    java.lang.String getReport()

  Return the report name of the active task.

  Returns:
    the report name of the active task.

### getParamFile

    java.lang.String getParamFile()

  Returns the report parameter file of the task and display it.

  Returns:
    the parameter file name of the task and display it.

### getPublishType

    java.lang.String getPublishType()

  Return the report publish type of the active task and display as "Task Type".

### getTrigger

    java.lang.String getTrigger()

  Return the bound trigger name of the active task

  Returns:
    the bound trigger name. It can be null if no trigger bind with this task

### getLogicOfConditions

    java.lang.String getLogicOfConditions()

  Return the logic between the trigger and the time condition of this task

  Returns:
    the logic name. It can be null if no trigger bind with this task, or the launch type of this task is immediately.

### getReportNames

    java.lang.String getReportNames()

  Return a String contains all report names

  Returns:
    report names string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD